Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class ScriptExpression

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseExpression
          org.eclipse.birt.data.engine.api.querydefn.ScriptExpression

All Implemented Interfaces:
  IBaseExpression, IScriptExpression

    public class ScriptExpression

extends BaseExpression
implements IScriptExpression

Default implementation of the `IScriptExpression` interface

Field Summary
`protected java.lang.String` | `exprText`

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseExpression
`dataType, handle`

Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
`GROUP_OVERALL`

Constructor Summary
`ScriptExpression(java.lang.String text)` Constructs a Javascript expression
`ScriptExpression(java.lang.String text, int dataType)` Constructs a Javascript expression

Method Summary
`java.lang.String` | `getText()`
`void` | `setText(java.lang.String text)` Sets the Javascript expression text

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseExpression
`getDataType, getGroupName, getHandle, getID, setDataType, setGroupName, setHandle, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
`getDataType, getGroupName, getHandle, setGroupName, setHandle`

Field Detail

### exprText

    protected java.lang.String exprText

Constructor Detail

### ScriptExpression

    public ScriptExpression(java.lang.String text)

  Constructs a Javascript expression

  Parameters:
    `text` - Javascript expression text

### ScriptExpression

    public ScriptExpression(java.lang.String text,
                            int dataType)

  Constructs a Javascript expression

  Parameters:
    `text` - Javascript expression text
    `dataType` - Return data type of the expression

Method Detail

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `IScriptExpression`
  Returns:
    the Javascript expression text
  See Also:
    `IScriptExpression.getText()`

### setText

    public void setText(java.lang.String text)

  Sets the Javascript expression text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.